'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.createServer = undefined;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _settings = require('./config/settings');

var _settings2 = _interopRequireDefault(_settings);

var _server = require('./server');

var _server2 = _interopRequireDefault(_server);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createServer = function createServer(_ref) {
    var port = _ref.port;
    var host = _ref.host;
    var backlog = _ref.backlog;
    var _ref$routes = _ref.routes;
    var routes = _ref$routes === undefined ? [] : _ref$routes;
    var _ref$verbosity = _ref.verbosity;
    var verbosity = _ref$verbosity === undefined ? 0 : _ref$verbosity;

    {
        // Override default settings
        if (port !== undefined) {
            _lodash2.default.set(_settings2.default, 'port', port);
        }
        if (host !== undefined) {
            _lodash2.default.set(_settings2.default, 'host', host);
        }
        if (backlog !== undefined) {
            _lodash2.default.set(_settings2.default, 'backlog', backlog);
        }
        if (routes.length > 0) {
            _lodash2.default.set(_settings2.default, 'routes', routes);
        }
        if (verbosity === 1) {
            _lodash2.default.set(_settings2.default, 'verbosity', verbosity);
            // https://github.com/winstonjs/winston#logging-levels
            _lodash2.default.set(_settings2.default, 'winston.level', 'verbose');
        }
        if (verbosity === 2) {
            _lodash2.default.set(_settings2.default, 'verbosity', verbosity);
            // https://github.com/winstonjs/winston#logging-levels
            _lodash2.default.set(_settings2.default, 'winston.level', 'debug');
        }
    }

    return (0, _server2.default)();
}; /* eslint no-unused-vars: 0 */


exports.createServer = createServer;